ServerEvents.recipes(event => {
  // ===== CREATE CRUSHING =====
  //  event.recipes.create.crushing('minecraft:diamond', 'minecraft:coal_block').processingTime(500)
    
    event.recipes.create.crushing('minecraft:tuff', 'minecraft:stone').processingTime(500)
    event.recipes.create.crushing(['2x minecraft:pointed_dripstone', CreateItem.of('2x minecraft:pointed_dripstone', 25)], 'minecraft:dripstone_block').processingTime(500)
    event.recipes.create.crushing(['mysticalagriculture:cognizant_dust', CreateItem.of('3x mysticalagradditions:nether_star_shard', 5)], 'minecraft:nether_star').processingTime(500)



  // ===== CREATE Haunting =====
  //  event.recipes.create.haunting('minecraft:soul_campfire', 'minecraft:campfire')

    event.recipes.create.haunting(['minecraft:gunpowder', CreateItem.of('2x minecraft:gunpowder', 5)], 'minecraft:tuff')


  // ===== CREATE MILLING =====
  //  event.recipes.create.milling('minecraft:diamond', 'minecraft:coal_block')

    event.recipes.create.milling(['1x minecraft:pointed_dripstone', CreateItem.of('2x minecraft:pointed_dripstone', 25)], 'minecraft:dripstone_block')

}) 